      ******************************************************************
      **                                                              **
      **                  IBM MQSeries for Windows NT                 **
      **                                                              **
      **  COPYBOOK NAME:  CMQXV                                       **
      **                                                              **
      **  DESCRIPTION:    Constants for MQCD                          **
      **                                                              **
      ******************************************************************
      **  @START_COPYRIGHT@                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  04L1830, 5639-B43                                           **
      **                                                              **
      **  (C) Copyright IBM Corporation 1993, 1999.                   **
      **                                                              **
      **  Status: Version 5 Release 1                                 **
      **  @END_COPYRIGHT@                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the named constants for  **
      **                  MQCD.                                       **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      ******************************************************************
      **  Values Related to MQCD Structure                            **
      ******************************************************************
 
      **   Structure Version Number
        10 MQCD-VERSION-1       PIC S9(9) BINARY VALUE 1.
        10 MQCD-VERSION-2       PIC S9(9) BINARY VALUE 2.
        10 MQCD-VERSION-3       PIC S9(9) BINARY VALUE 3.
        10 MQCD-VERSION-4       PIC S9(9) BINARY VALUE 4.
        10 MQCD-VERSION-5       PIC S9(9) BINARY VALUE 5.
        10 MQCD-VERSION-6       PIC S9(9) BINARY VALUE 6.
        10 MQCD-CURRENT-VERSION PIC S9(9) BINARY VALUE 6.
 
      **   Channel Type
        10 MQCHT-SENDER    PIC S9(9) BINARY VALUE 1.
        10 MQCHT-SERVER    PIC S9(9) BINARY VALUE 2.
        10 MQCHT-RECEIVER  PIC S9(9) BINARY VALUE 3.
        10 MQCHT-REQUESTER PIC S9(9) BINARY VALUE 4.
        10 MQCHT-ALL       PIC S9(9) BINARY VALUE 5.
        10 MQCHT-CLNTCONN  PIC S9(9) BINARY VALUE 6.
        10 MQCHT-SVRCONN   PIC S9(9) BINARY VALUE 7.
        10 MQCHT-CLUSRCVR  PIC S9(9) BINARY VALUE 8.
        10 MQCHT-CLUSSDR   PIC S9(9) BINARY VALUE 9.
 
      **   Transport Type
        10 MQXPT-LOCAL   PIC S9(9) BINARY VALUE 0.
        10 MQXPT-LU62    PIC S9(9) BINARY VALUE 1.
        10 MQXPT-TCP     PIC S9(9) BINARY VALUE 2.
        10 MQXPT-NETBIOS PIC S9(9) BINARY VALUE 3.
        10 MQXPT-SPX     PIC S9(9) BINARY VALUE 4.
        10 MQXPT-DECNET  PIC S9(9) BINARY VALUE 5.
        10 MQXPT-UDP     PIC S9(9) BINARY VALUE 6.
 
      **   Put Authority
        10 MQPA-DEFAULT          PIC S9(9) BINARY VALUE 1.
        10 MQPA-CONTEXT          PIC S9(9) BINARY VALUE 2.
        10 MQPA-ONLY-MCA         PIC S9(9) BINARY VALUE 3.
        10 MQPA-ALTERNATE-OR-MCA PIC S9(9) BINARY VALUE 4.
 
      **   Channel Data Conversion
        10 MQCDC-SENDER-CONVERSION    PIC S9(9) BINARY VALUE 1.
        10 MQCDC-NO-SENDER-CONVERSION PIC S9(9) BINARY VALUE 0.
 
      **   MCA Type
        10 MQMCAT-PROCESS PIC S9(9) BINARY VALUE 1.
        10 MQMCAT-THREAD  PIC S9(9) BINARY VALUE 2.
 
      **   NonPersistent-Message Speed
        10 MQNPMS-NORMAL PIC S9(9) BINARY VALUE 1.
        10 MQNPMS-FAST   PIC S9(9) BINARY VALUE 2.
 
      **   Structure Length
        10 MQCD-LENGTH-4       PIC S9(9) BINARY VALUE 1540.
        10 MQCD-LENGTH-5       PIC S9(9) BINARY VALUE 1552.
        10 MQCD-LENGTH-6       PIC S9(9) BINARY VALUE 1648.
        10 MQCD-CURRENT-LENGTH PIC S9(9) BINARY VALUE 1648.
 
 
      ******************************************************************
      **  End of CMQXV                                                **
      ******************************************************************
